Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.encoding
Class XMLSerializerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.connecterra.ale.api.ALEException
                  com.connecterra.ale.encoding.XMLSerializerException

All Implemented Interfaces:
  java.io.Serializable

public class XMLSerializerException
extends ALEException

An exception thrown when any error occurs during serialization.

See Also:
  Serialized Form

Constructor Summary
`XMLSerializerException()` Default constructor.
`XMLSerializerException(java.lang.String additionalInfo)` Constructor with additional info parameter.
`XMLSerializerException(java.lang.String additionalInfo, java.lang.Throwable cause)` Constructor with additional info parameter and cause parameter.
`XMLSerializerException(java.lang.Throwable cause)` Constructor with cause parameter.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSerializerException

    public XMLSerializerException()

  Default constructor.

### XMLSerializerException

    public XMLSerializerException(java.lang.String additionalInfo)

  Constructor with additional info parameter.

Parameters:
  `additionalInfo` - The additional info.

### XMLSerializerException

    public XMLSerializerException(java.lang.String additionalInfo,
                                  java.lang.Throwable cause)

  Constructor with additional info parameter and cause parameter.

Parameters:
  `additionalInfo` - The additional info.
  `cause` - The cause.

### XMLSerializerException

    public XMLSerializerException(java.lang.Throwable cause)

  Constructor with cause parameter.

Parameters:
  `cause` - The cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD